<!-- Q10 -->
<!DOCTYPE html>
<html>

<head></head>

<body>
  <p>
    <button onclick="
        updateCalculation('1');
      ">1</button>

    <button onclick="
        updateCalculation('2');
      ">2</button>

    <button onclick="
        updateCalculation('3');
      ">3</button>

    <button onclick="
        updateCalculation(' + ');
      ">+</button>
  </p>

  <p>
    <button onclick="
        updateCalculation('4');
      ">4</button>

    <button onclick="
        updateCalculation('5');
      ">5</button>

    <button onclick="
        updateCalculation('6');
      ">6</button>

    <button onclick="
        updateCalculation(' - ');
      ">-</button>
  </p>

  <p>
    <button onclick="
        updateCalculation('7');
      ">7</button>

    <button onclick="
        updateCalculation('8');
      ">8</button>

    <button onclick="
        updateCalculation('9');
      ">9</button>

    <button onclick="
        updateCalculation(' * ');
      ">*</button>
  </p>

  <p>
    <button onclick="
        updateCalculation('0');
      ">0</button>

    <button onclick="
        updateCalculation('.');
      ">.</button>

    <button onclick="
        calculation = eval(calculation);
        console.log(calculation);
        localStorage.setItem('calculation', calculation);
        document.querySelector('#calculation').innerHTML = `${calculation}`
      ">=</button>

    <button onclick="
        updateCalculation(' / ');
      ">/</button>
  </p>

  <p>
    <button onclick="
        calculation = '';
        localStorage.setItem('calculation', 0);
        console.log(calculation);
      ">Clear</button>
  </p>

  <p id="calculation"></p>

  <script>
    let calculation = '';
    document.querySelector('#calculation').innerHTML = `${localStorage.getItem('calculation')}`
    function updateCalculation(value) {
      calculation += value;
      console.log(calculation);
      localStorage.setItem('calculation', calculation);
    }
  </script>
</body>

</html>